curl "https://api.scanova.io/qr-assets/design-template/9/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 9,
"name": "Blue Gradient",
"resource_type": "qr_category",
"category": 3,
"design_info": { "bg": "#0033ff" },
"gradient_type": "linear",
"color_palette": "[\"#000\",\"#fff\"]",
"font_styles": null,
"is_template": true,
"info": null,
"template_id": "abc123"
}
أصول QR
الحصول على قالب تصميم خاص بالمستخدم
GET /qr-assets/design-template//
GET
/
qr-assets
/
design-template
/
{pk}
/
curl "https://api.scanova.io/qr-assets/design-template/9/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 9,
"name": "Blue Gradient",
"resource_type": "qr_category",
"category": 3,
"design_info": { "bg": "#0033ff" },
"gradient_type": "linear",
"color_palette": "[\"#000\",\"#fff\"]",
"font_styles": null,
"is_template": true,
"info": null,
"template_id": "abc123"
}
يحصل على قالب تصميم خاص بالمستخدم واحد، على مضيف Management API (
يُعاد
api.scanova.io)، مع المصادقة باستخدام مفتاح Management API الخام الخاص بك.
GET https://api.scanova.io/qr-assets/design-template/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
integer
مطلوب
معرّف
id الخاص بالقالب، من سرد قوالب التصميم الخاصة بالمستخدم.curl "https://api.scanova.io/qr-assets/design-template/9/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 9,
"name": "Blue Gradient",
"resource_type": "qr_category",
"category": 3,
"design_info": { "bg": "#0033ff" },
"gradient_type": "linear",
"color_palette": "[\"#000\",\"#fff\"]",
"font_styles": null,
"is_template": true,
"info": null,
"template_id": "abc123"
}
404 إذا لم يكن pk قالبًا مملوكًا لهذا الحساب.
ذات صلة
- سرد قوالب التصميم الخاصة بالمستخدم — العثور على المعرّف
id. - تحديث قالب تصميم خاص بالمستخدم — تعديل هذا القالب.
- حذف قالب تصميم خاص بالمستخدم — حذف هذا القالب.
- نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
معلمات المسار
الاستجابة
One design template.
هل كانت هذه الصفحة مفيدة؟